Proxy-seller

Resident proxy lists

Returns all residential proxy lists for the user's package.

GET
/personal/api/v2/{apiKey}/resident/lists

Path Parameters

apiKey*string

Client API key.

Response Body

application/json

application/json

curl -X GET "https://proxy-seller.com/personal/api/v2/abc123/resident/lists"

{
  "data": {
    "items": [
      {
        "id": 561,
        "geo": {
          "isp": "FIRST-STEP",
          "city": "Seattle",
          "region": "Washington",
          "country": "US"
        },
        "url": "https://proxy-seller.com/api/personal/v1/resident/list/download/561?apiKey=abc123",
        "date": "01.01.2025 12:00:00",
        "login": "abc123def",
        "title": "US Washington",
        "export": {
          "ext": "txt",
          "ports": 1000
        },
        "is_tools": false,
        "password": "xyz789pwd",
        "rotation": 60,
        "whitelist": "127.0.0.1,192.168.0.1",
        "is_rotation_override": false
      }
    ]
  },
  "errors": [],
  "status": "success"
}

{
  "error": "Too many requests"
}
Proxy-seller